---
title: UIEvent.initUIEvent()
slug: Web/API/UIEvent/initUIEvent
tags:
  - API
  - DOM
  - Deprecated
  - Event
  - Method
  - UIEvent
---
<p>{{APIRef("DOM Events")}} {{deprecated_header}}</p>

<p>The <code><strong>UIEvent.initUIEvent()</strong></code> method initializes a UI event once it's been created.</p>

<p>Events initialized in this way must have been created with the {{ domxref("Document.createEvent()") }} method. This method must be called to set the event before it is dispatched, using {{ domxref("EventTarget.dispatchEvent()") }}. Once dispatched, it doesn't do anything anymore.</p>

<div class="note">
<p><strong>Do not use this method anymore as it is deprecated.</strong></p>

<p>Instead use specific event constructors, like {{domxref("UIEvent.UIEvent", "UIEvent()")}}. The page on <a href="/en-US/docs/Web/Guide/Events/Creating_and_triggering_events">Creating and triggering events</a> gives more information about the way to use these.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>event</em>.initUIEvent(<em>type</em>, <em>canBubble</em>, <em>cancelable</em>, <em>view</em>, <em>detail</em>)
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em><code>type</code></em></dt>
 <dd>Is a {{domxref("DOMString")}} defining the type of event.</dd>
 <dt><em><code>canBubble</code></em></dt>
 <dd>Is a {{jsxref("Boolean")}} deciding whether the event should bubble up through the event chain or not. Once set, the read-only property {{ domxref("Event.bubbles") }} will give its value.</dd>
 <dt><em><code>cancelable</code></em></dt>
 <dd>Is a {{jsxref("Boolean")}} defining whether the event can be canceled. Once set, the read-only property {{ domxref("Event.cancelable") }} will give its value.</dd>
 <dt><em><code>view</code></em></dt>
 <dd>Is the {{domxref("WindowProxy")}} associated with the event.</dd>
 <dt><em><code>detail</code></em></dt>
 <dd>Is an <code>unsigned long</code>  specifying some detail information about the event, depending on the type of event. For mouse events, it indicates how many times the mouse has been clicked on a given screen location.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">var e = document.createEvent("UIEvent");
// creates a click event that bubbles, can be cancelled,
// and with its view and detail property initialized to window and 1,
// respectively
e.initUIEvent("click", true, true, window, 1);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Events', '#widl-UIEvent-initUIEvent', 'UIEvent.initUIEvent()')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
   <td>From {{SpecName('DOM2 Events')}}, deprecated.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Events', '#Events-UIEvent', 'UIEvent.initUIEvent()')}}</td>
   <td>{{Spec2('DOM2 Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.UIEvent.initUIEvent")}}</p>

<h2 class="editable" id="See_also"><span>See also</span></h2>

<ul>
 <li>{{ domxref("UIEvent") }}</li>
 <li>The constructor to use instead of this deprecated method: {{domxref("UIEvent.UIEvent", "UIEvent()")}}. More specific constructors can be used too.</li>
</ul>
